"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createPageElementsUpdateValidation = exports.createPageElementsCreateValidation = void 0;
var _zod = _interopRequireDefault(require("zod"));
const baseValidation = _zod.default.object({
  name: _zod.default.string().max(100),
  type: _zod.default.enum(["element", "block"]),
  content: _zod.default.object({}).partial().passthrough()
});
const createPageElementsCreateValidation = () => {
  return baseValidation;
};
exports.createPageElementsCreateValidation = createPageElementsCreateValidation;
const createPageElementsUpdateValidation = () => {
  return baseValidation.extend({
    type: _zod.default.enum(["element", "block"]).optional()
  }).partial();
};
exports.createPageElementsUpdateValidation = createPageElementsUpdateValidation;

//# sourceMappingURL=validation.js.map