"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _api = require("@webiny/api");
var _default = () => {
  return new _api.ContextPlugin(async ({
    pageBuilder
  }) => {
    pageBuilder.onPageAfterUnpublish.subscribe(async ({
      page
    }) => {
      const promises = [];
      promises.push(pageBuilder.prerendering.flush({
        paths: [{
          path: page.path
        }]
      }));
      /**
       * Note: special pages (404 / home) cannot be unpublished, that's why
       * there is no special handling regarding that here.
       */
      await Promise.all(promises);
    });
  });
};
exports.default = _default;

//# sourceMappingURL=afterPageUnpublish.js.map